/* Alapértelmezett betűtípus és testreszabott háttér */
* {
  font-family: "Roboto", serif;
  box-sizing: border-box;
}
body {
  background-size: cover;
  background-position: center;
  transition: background 1s ease-in-out;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  min-height: 100vh;
}

.dawn { background-image: url('../background/lake1.webp'); }
.morning { background-image: url('../background/lake2.webp'); }
.late-morning { background-image: url('../background/lake3.webp'); }
.noon { background-image: url('../background/lake4.webp'); }
.afternoon { background-image: url('../background/lake5.webp'); }
.evening { background-image: url('../background/lake6.webp'); }
.late-evening { background-image: url('../background/lake7.webp'); }
.night { background-image: url('../background/lake8.webp'); }

.form-label {
  margin-bottom: 0rem;
}

#headalert {
  background-color: #6B9071;
  border-color: #AEC3B0;
  color: #E3EED4;
}

/* Fejléc stílusok */
h1, h3 {
  text-align: center;
  margin: 0;
}
h1 {
  color: #375534;
  font-size: 3rem;
}
h3 {
  color: white;
}

#header {
  margin: 1% 0; /* Több helyet adunk a fejlécnek */
  text-transform: uppercase;
}

/* Bejelentkezési űrlap */
#loginform {
  padding: 3% 5%;
  width: 60%;
  max-width: 500px;
  background-color: rgba(107, 144, 113, 0.93);
  color: white;
  font-size: 1.4rem;
  text-align: left;
  border-radius: 25px;
  box-shadow: 5px 5px 5px #0F2A1D;

  margin-top: 2rem; /* Fix margó a fejléc után */
  margin-bottom: 1rem;
}

/* Gomb alapstílus */
#submit {
  display: block;
  margin: 1.5rem auto 0;
  padding: 0.5rem 1rem;

  background-color: #375534;
  color: #E3EEd4;

  font-size: 1.4rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-align: center;

  width: 100%; /* Alapértelmezett szélesség mobilhoz */
  max-width: 300px; /* Maximális szélesség nagyobb kijelzőkhöz */
  min-width: 150px; /* Minimális szélesség kisebb kijelzőkhöz */
}

/* Szövegmezők */
.textfield {
  border-radius: 10px;
  width: 50%;
  text-align: center;
  padding: 0.5rem;
  border: 1px solid #E3EEd4;
}

/* Figyelmeztetés fejléc */
#headalert {
  text-align: center;
  font-size: 1rem;
  margin-top: 1rem;
}
#errorAlert{
  text-align: center;
  font-size: 1rem;
  margin-top: 1rem;
  display: none;
}
#submit:hover {
  background-color: #0F2A1D; 
  color: #e1e1e1; /* Fehérebb szöveg a jobb láthatóság érdekében */
}

/* Reszponzív beállítások kisebb képernyőkhöz */
@media (min-width: 768px) {
  #submit {
    width: 75%; /* Szélesebb kijelzőn visszatér az eredeti 50%-hoz */
    max-width: 400px;
  }

}
@media (min-width: 300px) {
  #loginform {
      width: 80%;
  }
  #submit {
    width: 75%; /* Szélesebb kijelzőn visszatér az eredeti 50%-hoz */
    max-width: 400px;
  }
}